package test;

import java.io.IOException;
import java.util.List;

import java.beans.Expression;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.TagSupport;

public class TableTag extends TagSupport {
    private List data;
    private String cols;
    private boolean border = true;
    private static String capitalize(String s) {
        return s.substring(0, 1).toUpperCase() + s.substring(1).toLowerCase();
    }
    @Override
    public int doStartTag() {
        String[] props = cols.split(",");
        try {
            JspWriter out = pageContext.getOut();
            out.println("<table " + (border ? "border='yes'" : "") + ">");
            out.println("<tr>");
            for(int j = 0; j < props.length; j++) {
                out.println("<th>" + capitalize(props[j]) + "</th>");
            }
            out.println("</tr>");
            for(int i = 0; i < data.size(); i++) {
                out.println("<tr>");
                for(int j = 0; j < props.length; j++) {
                    Object o;
                    try {
                        Expression expr = new Expression(data.get(i), "get" + capitalize(props[j]), new Object[0]);
                        expr.execute();
                        o = expr.getValue();
                    } catch(Exception ex) {
                        o = "";
                    }
                    out.println("<td>" + o + "</td>");
                }
                out.println("</tr>");
            }
            out.println("</table>");
        } catch (IOException e) {
        }
        return SKIP_BODY;
    }
    @Override
    public int doEndTag() {
        return EVAL_PAGE;
    }
    public List getData() {
        return data;
    }
    public void setData(List data) {
        this.data = data;
    }
    public String getCols() {
        return cols;
    }
    public void setCols(String cols) {
        this.cols = cols;
    }
    public boolean isBorder() {
        return border;
    }
    public void setBorder(boolean border) {
        this.border = border;
    }
}
