<?php
function get_connection() {
    //$con = new mysqli('localhost', 'root', '', 'Test');
    $con = new mysqli();
    if(mysqli_connect_errno()) {
        die(mysqli_connect_error());
    }
    return $con;
}

function t1_get_one($f2) {
    $con = get_connection();
    $stmt = $con->prepare('SELECT F1 FROM T1 WHERE F2=?') or die(mysqli_error($con));
    $stmt->bind_param('s', $f2);
    $stmt->execute() or die(mysqli_error($con));
    $rs = $stmt->get_result();
    if($row = $rs->fetch_array(MYSQLI_ASSOC)) {
        $f1 = $row['F1'];   
    } else {
        die("$f2 not found");
    }
    $stmt->close();
    $con->close();
    return $f1;
}

function t1_get_all() {
    $con = get_connection();
    $stmt = $con->prepare('SELECT F1,F2 FROM T1') or die(mysqli_error($con));
    $stmt->execute() or die(mysqli_error($con));
    $rs = $stmt->get_result();
    $res = array();
    while($row = $rs->fetch_array(MYSQLI_ASSOC)) {
        $res[] = $row;
    }
    $stmt->close();
    $con->close();
    return $res;
}

function t1_put($f1, $f2) {
    $con = get_connection();
    $stmt = $con->prepare('INSERT INTO T1(F1,F2) VALUES(?,?)') or die(mysqli_error($con));
    $stmt->bind_param('is', $f1, $f2);
    $stmt->execute() or die(mysqli_error($con));
    $stmt->close();
    $con->close();
}

function t1_remove($f1) {
    $con = get_connection();
    $stmt = $con->prepare('DELETE FROM T1 WHERE F1=?') or die(mysqli_error($con));
    $stmt->bind_param('i', $f1);
    $stmt->execute() or die(mysqli_error($con));
    $stmt->close();
    $con->close();
}

function t1_display($data) {
    $rows = "";
    foreach($data as $row) {
        $f1 = $row['F1'];
        $f2 = $row['F2'];
        $rows .= sprintf("<tr>\r\n<td>$f1</td>\r\n<td>$f2</td>\r\n</tr>\r\n");
    }
    return "<table border='yes'>\r\n<tr>\r\n<th>F1</th>\r\n<th>F2</th>\r\n</tr>\r\n$rows</table>\r\n";   
}

function test() {
    $f2 = t1_get_one('BB');
    echo "$f2<br>\r\n";
    $data = t1_get_all();
    echo t1_display($data);
    t1_put(999, 'XXX');
    $data = t1_get_all();
    echo t1_display($data);
    t1_remove(999);
    $data = t1_get_all();
    echo t1_display($data);
}

test();
?>
