<?php
function get_connection() {
    //$con = new PDO('mysql:host=localhost;dbname=Test', 'root', '');
    $con = new PDO('java:comp/env/jdbc/MySqlTest');
    $con->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    //$con->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);
    return $con;
}

function t1_get_one($f2) {
    $con = get_connection();
    $stmt = $con->prepare('SELECT F1 FROM T1 WHERE F2=:F2');
    $stmt->execute(array(':F2' => $f2));
    if($row = $stmt->fetch()) {
        $f1 = $row['F1'];   
    } else {
        die("$f2 not found");
    }
    return $f1;
}

function t1_get_all() {
    $con = get_connection();
    $stmt = $con->prepare('SELECT F1,F2 FROM T1');
    $stmt->execute(array());
    $res = array();
    while($row = $stmt->fetch()) {
        $res[] = $row;
    }
    return $res;
}

function t1_put($f1, $f2) {
    $con = get_connection();
    $stmt = $con->prepare('INSERT INTO T1(F1,F2) VALUES(:F1,:F2)');
    $stmt->execute(array(':F1' => $f1, ':F2' => $f2));
}

function t1_remove($f1) {
    $con = get_connection();
    $stmt = $con->prepare('DELETE FROM T1 WHERE F1=:F1');
    $stmt->execute(array(':F1' => $f1));
}

function t1_display($data) {
    $rows = "";
    foreach($data as $row) {
        $f1 = $row['F1'];
        $f2 = $row['F2'];
        $rows .= sprintf("<tr>\r\n<td>$f1</td>\r\n<td>$f2</td>\r\n</tr>\r\n");
    }
    return "<table border='yes'>\r\n<tr>\r\n<th>F1</th>\r\n<th>F2</th>\r\n</tr>\r\n$rows</table>\r\n";   
}

function test() {
    $f2 = t1_get_one('BB');
    echo "$f2<br>\r\n";
    $data = t1_get_all();
    echo t1_display($data);
    t1_put(999, 'XXX');
    $data = t1_get_all();
    echo t1_display($data);
    t1_remove(999);
    $data = t1_get_all();
    echo t1_display($data);
}

test();
?>
